/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modele.donnees;

import modele.calculs.Direction;
import modele.calculs.Jeu;

public abstract class Entite extends ElementPhysique implements ElementDynamique {

    boolean mort = false;

    public Entite(Jeu jeu) {
        super(jeu);
    }

    public void tuer() {
        mort = true;
    }
    public boolean estMort() {
        return mort;
    }

    public boolean avancerDirectionChoisie(Direction d) {
        if(estMort())
            return false;
        return jeu.deplacerEntite(this, d);
    }
    public ElementPhysique regarderDansLaDirection(Direction d) {
        return jeu.regarderDansLaDirection(this, d);
    }
    public ElementFond regarderDerriereSoit() {
        return jeu.regarderDerriereSoit(this);
    }
}
